
 * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
  color: #ffffff;
  line-height: 1.6;
  font-weight: 400;
  height: 100%;
  width: 100%;
  background-color: #15202b;
}
h1, h2, h5 {
  text-shadow: 1px 1px 4px #ddd;
  font-weight: 600;
}
#mainContent {
  background-color: #15202b;
  
}
 #miImagenFlotante {
    position: fixed; 
    bottom: 30px;    
    right: 30px;     
    width: 80px;     
    cursor: pointer;
    transition: transform 0.2s ease;
    
    border-radius: 35%;
    mask-image: linear-gradient(#15202b 75%, transparent);
  }
#miImagenFlotante:hover {
  transform: scale(1.05);
}
a {
  text-decoration: none;
  color: #f1f1f1;
  text-shadow: 1px 1px 2px #ffffff;
}

a:hover {
  text-decoration: underline;
}
.transparent-text {
  opacity: 0.6;
}

#intro {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: #343a40;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  z-index: 9999;
  opacity: 1;
  transition: opacity 1s ease;
}
#intro.fade-out {
  opacity: 0;
  pointer-events: none;
}

.container {
  max-width: 1200px;
  margin: auto;
  padding: 40px 20px;
}

.btnskill {
  background-color: #010c18;
  color: white;
  font-weight: 500;
  padding: 0.5rem 0.75rem;
  border-radius: 0.5rem;
  display: inline-flex;
  align-items: center;
  
}
.about {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  margin-bottom: 60px;
}

.about > div {
  flex: 1;
  min-width: 300px;
}

.skills ul {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  list-style: none;
  padding: 0;
}

.skills li {
  background-color: #dee2e6;
  padding: 10px 15px;
  border-radius: 8px;
}

.btn {
  display: inline-block;
  margin-top: 15px;
  padding: 10px 20px;
  background-color: #325170;
  color: white;
  border-radius: 5px;
}

.card-body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}
.card-img-top {
  mask-image: linear-gradient(#15202b 95%, transparent);
}
.card {
  background-color: #010c18;
  color: #ffffff;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card:hover,
.card:focus-within {
  transform: scale(1.08) !important;
  box-shadow: 1px 1px 20px rgb(2, 55, 153);
}
.boton-ayuda {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  cursor: pointer;
  z-index: 1000;
}

.chat-box {
  position: fixed;
  bottom: 90px;
  right: 20px;
  width: 300px;
  background: #15202b;
  border: 1px solid #15202b;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);
  z-index: 999;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  font-family: Arial, sans-serif;
}

.chat-header {
  background: #1b3146;
  color: rgb(255, 255, 255);
  padding: 10px;
  font-weight: bold;
}

.chat-messages {
  padding: 10px;
  height: 200px;
  overflow-y: auto;
  font-size: 14px;
  background: #15202b;
}

.chat-input {
  display: flex;
  border-top: 1px solid #133258;
}

.chat-input input {
  flex: 1;
  padding: 10px;
  border: none;
  outline: none;
}

.chat-input button {
  background: #1b3146;
  color: white;
  border: none;
  padding: 0 15px;
  cursor: pointer;
}

.oculto {
  display: none;
}